---
title: "operator-sdk cleanup packagemanifests"
---
## operator-sdk cleanup packagemanifests

Clean up an Operator in the package manifests format deployed with OLM

### Synopsis

'cleanup packagemanifests' destroys an Operator deployed with OLM using the 'run packagemanifests' command.
The command's argument must be set to a valid package manifests root directory,
ex. '<project-root>/packagemanifests'.

```
operator-sdk cleanup packagemanifests [flags]
```

### Options

```
  -h, --help                        help for packagemanifests
      --include strings             Path to Kubernetes resource manifests, ex. Role, Subscription. These supplement or override defaults generated by run/cleanup
      --install-mode string         InstallMode to create OperatorGroup with. Format: InstallModeType[=ns1,ns2[, ...]]
      --kubeconfig string           The file path to kubernetes configuration file. Defaults to location specified by $KUBECONFIG, or to default file rules if not set
      --olm-namespace string        The namespace where OLM is installed (default "olm")
      --operator-namespace string   The namespace where operator resources are created. It must already exist in the cluster or be defined in a manifest passed to --include
      --operator-version string     Version of operator to deploy
      --timeout duration            Time to wait for the command to complete before failing (default 2m0s)
```

### SEE ALSO

* [operator-sdk cleanup](../operator-sdk_cleanup)	 - Delete and clean up after a running Operator

